Skip to main content
POST
/
contact-channels
/
{user_id}
/
{contact_channel_id}
/
send-verification-code
Send contact channel verification code
curl --request POST \
  --url https://api.stack-auth.com/api/v1/contact-channels/{user_id}/{contact_channel_id}/send-verification-code \
  --header 'Content-Type: application/json' \
  --data '
{
  "callback_url": "https://example.com/handler/email-verification"
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

user_id
string
required

The user to send the verification code to.

Example:

"me"

contact_channel_id
string
required

The contact channel to send the verification code to.

Example:

"b3d396b8-c574-4c80-97b3-50031675ceb2"

Body

application/json
callback_url
string
required

The base callback URL to construct a verification link for the verification e-mail. A query parameter code with the verification code will be appended to it. The page should then make a request to the /contact-channels/verify endpoint.

Example:

"https://example.com/handler/email-verification"

Response

200 - application/json

Successful response

success
boolean
required

Always equal to true.

Example:

true